-- Version 0.0.1
-- Author AliasAlreadyTaken
-- License MIT

-- Changelog

local mod_start_time = core.get_us_time()
core.log("action", "[MOD] json_lua loading")

json_lua = {}
json_lua.error = {}
json_lua.modstorage = core.get_mod_storage()
json_lua.modpath = core.get_modpath("json_lua") .. DIR_DELIM
json_lua.worldpath = core.get_worldpath() .. DIR_DELIM

json_lua.information = {}
json_lua.information.version = "0.0.1"
json_lua.information.author = "AliasAlreadyTaken"
json_lua.information.license = "MIT"
json_lua.information.name = "json_lua"
json_lua.information.source = "https://gitea.your-land.de/your-land/json_lua"
json_lua.information.additional = "JSON reading and writing in lua"

dofile(json_lua.modpath .. "config.lua")
dofile(json_lua.modpath .. "setup.lua")
dofile(json_lua.modpath .. "features.lua")
--dofile(json_lua.modpath .. "privs.lua")
--dofile(json_lua.modpath .. "internal.lua")
--dofile(json_lua.modpath .. "api.lua")
--dofile(json_lua.modpath .. "distinct_feature.lua")
--dofile(json_lua.modpath .. "overwrite_feature.lua")
--dofile(json_lua.modpath .. "globalsteps.lua")
--dofile(json_lua.modpath .. "chatcommands.lua")

local mod_end_time = (core.get_us_time() - mod_start_time) / 1000000
core.log("action", "[MOD] json_lua loaded in [" .. mod_end_time .. "s]")
